.dev
REST APIAPI Reference

Purchase Receipts

GET
/v1/finance/purchase-receipts

Response Body

curl -X GET "https://example.com/v1/finance/purchase-receipts"
POST
/v1/finance/purchase-receipts

Response Body

curl -X POST "https://example.com/v1/finance/purchase-receipts"
POST
/v1/finance/purchase-receipts:batchPdf

Response Body

curl -X POST "https://example.com/v1/finance/purchase-receipts:batchPdf"
POST
/v1/finance/purchase-receipts:batchPost

Response Body

curl -X POST "https://example.com/v1/finance/purchase-receipts:batchPost"
POST
/v1/finance/purchase-receipts:batchVoid

Response Body

curl -X POST "https://example.com/v1/finance/purchase-receipts:batchVoid"
GET
/v1/finance/purchase-receipts/{id}

Path Parameters

id*string

Response Body

curl -X GET "https://example.com/v1/finance/purchase-receipts/string"
PUT
/v1/finance/purchase-receipts/{id}

Path Parameters

id*string

Response Body

curl -X PUT "https://example.com/v1/finance/purchase-receipts/string"
GET
/v1/finance/purchase-receipts/{id}/pdf

Path Parameters

id*string

Response Body

curl -X GET "https://example.com/v1/finance/purchase-receipts/string/pdf"
POST
/v1/finance/purchase-receipts/{id}/post

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/v1/finance/purchase-receipts/string/post"
POST
/v1/finance/purchase-receipts/{id}/void

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/v1/finance/purchase-receipts/string/void"